Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class WStringValueHelper

    java.lang.Object
      org.omg.CORBA.WStringValueHelper

All Implemented Interfaces:
  BoxedValueHelper

    public class WStringValueHelper

extends Object
implements BoxedValueHelper

org/omg/CORBA/WStringValueHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from orb.idl 31 May 1999 22:27:30 o'clock GMT+00:00 The class definition has been modified to conform to the following OMG specifications :

- ORB core as defined by CORBA 2.3.1 (formal/99-10-07)
- IDL/Java Language Mapping as defined in ptc/00-01-08

Constructor Summary
`WStringValueHelper()`

Method Summary
`static String` | `extract(Any a)`
`String` | `get_id()`
`static String` | `id()`
`static void` | `insert(Any a, String that)`
`Serializable` | `read_value(InputStream istream)`
`static String` | `read(InputStream istream)`
`static TypeCode` | `type()`
`void` | `write_value(OutputStream ostream, Serializable value)`
`static void` | `write(OutputStream ostream, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WStringValueHelper

    public WStringValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              String that)

### extract

    public static String extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static String read(InputStream istream)

### read_value

    public Serializable read_value(InputStream istream)

  Specified by:
    `read_value` in interface `BoxedValueHelper`

### write

    public static void write(OutputStream ostream,
                             String value)

### write_value

    public void write_value(OutputStream ostream,
                            Serializable value)

  Specified by:
    `write_value` in interface `BoxedValueHelper`

### get_id

    public String get_id()

  Specified by:
    `get_id` in interface `BoxedValueHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.